Bug 9083 - RunWM script doesn't work
RunWM script doesn't work
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: xinitrc (Show other bugs)
6.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Preston Brown
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-02-02 17:21 EST by Brock Organ
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-02-03 17:10:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Brock Organ 2000-02-02 17:21:57 EST
Here is a sample session:

% strace /usr/X11R6/bin/RunWM Fvwm95 2>&1 | tee RunWM.trouble
execve("/usr/X11R6/bin/RunWM", ["/usr/X11R6/bin/RunWM", "Fvwm95"], [/* 24
vars */]) = 0
brk(0)                                  = 0x80994c0

(... boring stuff removed ...)

rt_sigaction(SIGTERM, NULL, {SIG_DFL}, 8) = 0
rt_sigaction(SIGTERM, {0x805d8d0, [], SA_INTERRUPT|0x4000000}, NULL, 8) = 0
wait4(-1, NULL, WNOHANG, NULL)          = -1 ECHILD (No child processes)
write(2, "[FVWM][main]: <<ERROR>> ", 24) = 24
write(2, "can\'t open display ", 19)    = 19
write(2, "\n", 1)                       = 1
_exit(1)                                = ?
Comment 1 Preston Brown 2000-02-03 17:10:59 EST
RunWM isn't meant to be run directly, but instead only in conjunction with the
AnotherLevel X startup stuff.

Note You need to log in before you can comment on or make changes to this bug.